package org.sourceforge.jbezier;
/**
 * A simple class for 2d points
 * @author Marius Brandt(@PrydeRage)
 *
 */
public class Point {
	public double x, y;
	
	/**
	 * Creates a new 2-dimensional Point at the coordinates (x, y)
	 * @param x - x coordinate of the point
	 * @param y - y coordinate of the point
	 */
	public Point(double x, double y){
		this.x = x; this.y = y;
	}
	
	/**
	 * Sets the position of an existing point to the new location
	 * @param x - x coordinate of the new location
	 * @param y - y coordinate of the new location
	 */
	public void setPos(double x, double y){
		this.x = x; this.y = y;
	}

}
