package org.sourceforge.jbezier;
/**
 * This class provides some utility methods used in the JBezier class. These may be used in your project aswell.
 * @author Marius Brandt(@PrydeRage)
 *
 */
public class utils {
	
	public static double factorial(double n){
		double x = 1; // this  will be the result
        for (int i = 1; i <= n; i++) {
            x *= i;
        }
        return x;
	}
	
	public static double binominalCoefficient(double n, double k){
		return (factorial(n)) / (factorial(k) * factorial(n-k));
	}
}
